com.holonplatform.vaadin7.components.builders

## Interface SecretInputBuilder

- All Superinterfaces:
    ComponentConfigurator<SecretInputBuilder>, InputBuilder<String,Input<String>,SecretInputBuilder>, InputConfigurator<String,SecretInputBuilder>

      public interface SecretInputBuilder
      extends InputBuilder<String,Input<String>,SecretInputBuilder>

  Builder to create `String` type `Input` instances with hidden input, used to enter secret text information like passwords.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.InputConfigurator

      `InputConfigurator.BaseFieldConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecretInputBuilder` | `blankValuesAsNull(boolean enable)` Enable or disable treating blank String values (with 0 length or whitespaces only Strings) as `null` values.
    `SecretInputBuilder` | `emptyValuesAsNull(boolean enable)` Enable or disable treating empty String values as `null` values.

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.InputBuilder

      `asField, build, deferLocalization, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.InputConfigurator

      `locale, readOnly, tabIndex, withValue, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, immediate, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

- - ### Method Detail

    - #### emptyValuesAsNull

          SecretInputBuilder emptyValuesAsNull(boolean enable)

      Enable or disable treating empty String values as `null` values.

      By default this behaviour is enabled.

      Parameters:
        `enable` - True to treat empty String values as `null` values
      Returns:
        this

    - #### blankValuesAsNull

          SecretInputBuilder blankValuesAsNull(boolean enable)

      Enable or disable treating blank String values (with 0 length or whitespaces only Strings) as `null` values.

      By default this behaviour is disabled.

      Parameters:
        `enable` - True to treat blank String values (with 0 length or whitespaces only Strings) as `null` values
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.